Module | Chef::Mixin::FromFile
In: | lib/chef/mixin/from_file.rb

### Methods

class_from_file from_file

### Public Instance methods

class_from_file(filename)

Loads a given ruby file, and runs class_eval against it in the context of the current object.

Raises an IOError if the file cannot be found, or is not readable.

from_file(filename)

Loads a given ruby file, and runs instance_eval against it in the context of the current object.

Raises an IOError if the file cannot be found, or is not readable.

[Validate]